org.bdgenomics.adam.cli

# FindReadsArgs

#### class FindReadsArgs extends Args4jBase with ParquetArgs with Serializable

Linear Supertypes
Serializable, Serializable, ParquetArgs, ADAMParquetArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FindReadsArgs
2. Serializable
3. Serializable
4. ParquetArgs
5. ADAMParquetArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FindReadsArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ADAMParquetArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ADAMParquetArgs

10. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ADAMParquetArgs

11. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### val file: String

15. #### val filter: String

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### val input1Path: String

20. #### val input2Path: String

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### var logLevel: String

    Definition Classes
      ParquetArgs

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ADAMParquetArgs

27. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

28. #### val recurse1: String

29. #### val recurse2: String

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from ParquetArgs

### Inherited from ADAMParquetArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped